### Enumeration

# Camel ProviderConfType

#### Declaration

    enum Camel.ProviderConfType

#### Description

No description available.

#### Members

`CAMEL_PROVIDER_CONF_END`

  No description available.

  - Value: `0`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_SECTION_START`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_SECTION_END`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_CHECKBOX`

  No description available.

  - Value: `3`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_CHECKSPIN`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_ENTRY`

  No description available.

  - Value: `5`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_LABEL`

  No description available.

  - Value: `6`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_HIDDEN`

  No description available.

  - Value: `7`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_OPTIONS`

  No description available.

  - Value: `8`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_PLACEHOLDER`

  No description available.

  - Value: `9`
  - Available since: 1.2
`CAMEL_PROVIDER_CONF_ADVANCED_SECTION_START`

  No description available.

  - Value: `10`
  - Available since: 1.2